using System;
using System.Collections.Generic;

namespace IBatisInAction.Domain
{
    #region Category

    /// <summary>
    /// Domain class of table [Categories].
    /// </summary>
    [Serializable]
    public class Category
    {
        #region Private fields

        private int _categoryID;

        private string _categoryName = String.Empty;
        private string _description = String.Empty;
        private byte[] _picture;

        #endregion

        #region Constructors

        // Instantiate empty Category for inserting
        public Category() { }

        // Retrieve Category with Id for updating
        public Category(int categoryID)
        {
            this._categoryID = categoryID;
        }

        #endregion

        #region Public properties

        public int CategoryID
        {
            get { return _categoryID; }
            set { _categoryID = value; }
        }


        public string CategoryName
        {
            get { return _categoryName; }
            set { _categoryName = value; }
        }

        public string Description
        {
            get { return _description; }
            set { _description = value; }
        }

        public byte[] Picture
        {
            get { return _picture; }
            set { _picture = value; }
        }

        #endregion
    }

    #endregion
}
